com.streambase.liveview.client

## Class ValidationErrorsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.streambase.liveview.client.ValidationErrorsException

- All Implemented Interfaces:
    Serializable, Iterable<String>

      public class ValidationErrorsException
      extends Exception
      implements Iterable<String>

  Used to represent all errors in validating an object. This exception contains a list of validation error Strings, This kind of exception has no message or cause throwable; all such information is in the individual validation error Strings.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationErrorsException()`
    `ValidationErrorsException(String firstError)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String error)`
    `protected ArrayList<String>` | `getLazilyCreatedExceptionsList()`
    `String` | `getMessage()`
    `boolean` | `isEmpty()`
    `Iterator<String>` | `iterator()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ValidationErrorsException

          public ValidationErrorsException()

    - #### ValidationErrorsException

          public ValidationErrorsException(String firstError)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### add

          public void add(String error)

    - #### getLazilyCreatedExceptionsList

          protected ArrayList<String> getLazilyCreatedExceptionsList()

    - #### iterator

          public Iterator<String> iterator()

      Specified by:
        `iterator` in interface `Iterable<String>`

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.